package io.reactivex.internal.observers;

import java.util.concurrent.atomic.AtomicInteger;
import 㴹.K.Ԕ.ʬ.AbstractC2432;

public abstract class BasicIntQueueDisposable<T> extends AtomicInteger implements AbstractC2432<T> {
    public static final long serialVersionUID = -1001730202384742097L;

    @Override // 㴹.K.Ԕ.ʬ.AbstractC2439
    public final boolean offer(T t) {
        throw new UnsupportedOperationException("Should not be called");
    }

    public final boolean offer(T t, T t2) {
        throw new UnsupportedOperationException("Should not be called");
    }
}
